Oracle Linux 7 : rubygem-bundler / rubygem-thor (ELSA-2015-2180)

Medium Nessus Plugin ID 87029


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2015:2180 :

Updated rubygem-bundler and rubygem-thor packages that fix one security issue, several bugs, and add various enhancements are now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having Moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably. Thor is a toolkit for building powerful command-line interfaces.

A flaw was found in the way Bundler handled gems available from multiple sources. An attacker with access to one of the sources could create a malicious gem with the same name, which they could then use to trick a user into installing, potentially resulting in execution of code from the attacker-supplied malicious gem. (CVE-2013-0334)

Bundler has been upgraded to upstream version 1.7.8 and Thor has been upgraded to upstream version 1.19.1, both of which provide a number of bug fixes and enhancements over the previous versions. (BZ#1194243, BZ#1209921)

All rubygem-bundler and rubygem-thor users are advised to upgrade to these updated packages, which correct these issues and add these enhancements.


Update the affected rubygem-bundler and / or rubygem-thor packages.

See Also

Plugin Details

Severity: Medium

ID: 87029

File Name: oraclelinux_ELSA-2015-2180.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2015/11/24

Modified: 2016/04/28

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 4.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:rubygem-bundler, p-cpe:/a:oracle:linux:rubygem-bundler-doc, p-cpe:/a:oracle:linux:rubygem-thor, p-cpe:/a:oracle:linux:rubygem-thor-doc, cpe:/o:oracle:linux:7

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2015/11/23

Reference Information

CVE: CVE-2013-0334

OSVDB: 110004

RHSA: 2015:2180